
Lookup Editor - Feature #2082

Add open in search link on editor

10/03/2017 04:01 PM - Luke Murphey

Status: Closed Start date: 10/03/2017

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3.0   

Description

See https://github.com/LukeMurphey/lookup-editor/issues/16

Associated revisions

Revision 392 - 10/26/2017 05:16 AM - lukemurphey

Adding tests for the LookupTransformCreateView

Reference #2082

Revision 394 - 10/26/2017 06:35 AM - lukemurphey

Wrapping the functions in promises

Reference #2082

Revision 395 - 10/26/2017 06:35 AM - lukemurphey

Adding the create view into the editor

Reference #2082

Revision 397 - 10/26/2017 06:37 AM - lukemurphey

Adding ability to open the lookup transform creator from the editor

Reference #2082

Revision 398 - 10/26/2017 06:44 AM - lukemurphey

Isolating the CSS in the lookup editor

Reference #2082

Revision 400 - 10/27/2017 08:16 PM - lukemurphey

Fixing issue where the lister wouldn't open the lookup in search from the editor.

Reference #2082

Revision 401 - 10/27/2017 08:38 PM - lukemurphey

Fixing two issues
https://github.com/LukeMurphey/lookup-editor/issues/16


1) view wouldn't open on show() if it wasn't rendered already

2) the "Open in Search" link would try to make a transform even though it already exists

Reference #2082

History

#1 - 10/26/2017 03:36 AM - Luke Murphey

Requirements:

1. [Done] Show create transform view is shown if no transform exists

2. [Done] Allow the form to open more than once without error

3. [Done] Once a transform is created, open the lookup in search

4. [Done] If an error is observed, then notify the user

5. [Done] The search will open with the transform going forward without a refresh

6. Handle elegantly the case:

1. [Done] Where the transform name already exists

2. [Done] Where the transform is invalid (empty)

3. [Done] Where there is no field list defined (cannot make the transform without it)

4. [Done] Where the user lacks permission to make the transform

#2 - 10/27/2017 08:48 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
